/*
 *  $Id: subr.c,v 1.2 1999/10/16 21:25:15 schaefer Exp $
 */

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif /* HAVE_CONFIG_H */
#include <fist.h>
#include <mfs.h>

/*
 * add 1 to each byte
 * return the number of bytes written
 */
int
mfs_encode_block(const char *inbuf, char *outbuf, int len)
{
    memcpy(outbuf, inbuf, len);
    return len;
}


/*
 * subtract 1 from each byte
 * return the number of bytes written
 */
int
mfs_decode_block(const char *inbuf, char *outbuf, int len)
{
    memcpy(outbuf, inbuf, len);
    return len;
}

/*
 * Local variables:
 * c-basic-offset: 4
 * End:
 */
