#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>

int main(int argc, char **argv) {
   if (argc <= 1) {
      fprintf(stderr, "%s file ... file\n%s: bad args.\n", argv[0], argv[0]);
      exit(2);
   }
   else {
      int current = 1;
      int result = 0;

      while (--argc) {
          fprintf(stderr, "truncate(\"%s\") ... ", argv[current]);
	  if (truncate(argv[current], 0)) {
	     perror("");
	     result = 1;
	  }
	  else {
	     fprintf(stderr, "ok\n");
	  }
          current++;  
      }

      exit(result);
   }

   /* NOT REACHED */
}

